Page MenuHomePhabricator

[ARC] Add SystemV ABI
ClosedPublic

Authored by tatyana-krasnukha on Dec 14 2018, 2:49 PM.

Diff Detail

Event Timeline

clayborg accepted this revision.Dec 17 2018, 9:18 AM

Looks good.

This revision is now accepted and ready to land.Dec 17 2018, 9:18 AM

Added a list of registers with correct dwarf numbers

clayborg added inline comments.Jan 17 2019, 10:37 AM
source/Plugins/ABI/SysV-arc/ABISysV_arc.cpp
43 ↗(On Diff #182323)

add "namespace {" around all of this

52 ↗(On Diff #182323)

Don't end this namespace here? It starts up again on line 70. I would move the #define statements above the dwarf namespace

Addressed the comment

clayborg accepted this revision.Jan 17 2019, 11:13 AM
tatyana-krasnukha added a subscriber: anton.kolesov.

Updated according to D55718

Updated file headers to reflect the new license;
Updated according to the last revision of D55718.

Rebased on the current trunk.

Updated according to the last revision of D55718.

clayborg accepted this revision.Oct 17 2019, 8:04 AM
This revision was automatically updated to reflect the committed changes.